Page MenuHomePhabricator

Facilitate Wikidev'17 main topic "Handling wiki content beyond plaintext"
Closed, ResolvedPublic

Description

Main page: Handling wiki content beyond plaintext

  • Facilitators
  • Problem statement
  • Collect proposals
  • Expectations
  • Links
  • Key contributors invited

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedRfarrand
ResolvedQgil
Resolvedcscott
Opencscott
DeclinedMarkAHershberger
OpenNone
OpenNone
Opencscott
Stalledcscott
OpenNone
OpenNone
OpenNone
OpenTpt
ResolvedYaron_Koren
Opendaniel
Resolveddaniel
Resolvedbrion
Resolveddaniel
Resolveddaniel
DeclinedNone
Opencscott
Resolvedcscott
Openssastry
Openssastry
Duplicatecscott
Opencscott
Resolvedcscott
Opencscott
ResolvedTheDJ
Openbrion
DuplicateTheDJ
DuplicateYurik
Resolvedcscott

Event Timeline

I took the liberty of adding @daniel as a co-facilitator for this area as a response to Daniel's on-wiki comment. Daniel, I think this would be the topic for us to drill down on content model related work.

cscott added a comment.EditedOct 18 2016, 12:04 PM

Sure. Let me bring it up to date, though; maybe a new task would be best.
We've discussed two proposals for concrete "wikitext2" syntax at our
parsing team offsite, and IIRC the mandate for this topic in 2017 is
broader than the T112996 proposal I made in 2016.

Sure. Let me bring it up to date, though; maybe a new task would be best.

Agreed. It's probably best to start with the submission form, copying relevant elements from T112996 over to the new proposal.

We've discussed two proposals for concrete "wikitext2" syntax at our
parsing team offsite[...]

Wonderful! I'm eager to participate in the wider discussion about those.

cscott claimed this task.Nov 3 2016, 7:49 PM
cscott updated the task description. (Show Details)

Here's the current state of the proposals in this session, ordered by the sum (comments + tokens + subscribers) as a proxy for interest:

ownerproposal titlecommentstokenssubscribers
Yaron_KorenT149612 Bringing "Enterprise MediaWiki" to the Wikimedia Foundation25317
danielT149534 Scaling the MediaWiki database schema21122
cscottT90914 Provide semantic wiki-configurable styles for media display0024
ssastryT149282 Improved editability, tooling, reasoning, and performance by adopting DOM-based…7215
danielT149532 Why Multi-Content-Revisions? Use cases and requirements.0320
ssastryT142803 [RFC] STUB: Creating a spec for legacy wikitext / future wiki content…9011
NikerabbitT44495 Subtitle translation with Translate extension0218
cscottT148734 Moving associated content out of the wikitext2116
TheDJT150461 Story Builder0213
cscottT114454 [RFC] Visual Templates: Authoring templates with Visual Editor0113
cscottT149658 A new semantics for templates0310
cscottT149667 Amazing Article Annotations228
NoneT149056 Supporting Vertical Writing Mode in MediaWiki417
brionT147604 Cross-functional support for rich media038
cscottT149659 Grunge, or "zoom"0011
TheDJT149554 What's next for Audio and Video ?019
NoneT148828 What should we do for ProofreadPage content models027
YurikT149547 Making articles more interesting with data visualizations008
cscottT149660 Glossaries, pronunciations, and dictionaries016

It looks like there is interest in 5 sessions here, sorted again by (comments+tokens+subscribers) -- but note that the summed subscriber counts are likely overestimates since they are not deduped:

SessionTitleCommentsTokensSubscribers
AWikitext 2.0 (T149282, T142803, T149658, T149659)16547
BAudio/Video/Media/Viz/Layout (T90914, T150461, T147604, T149554, T149547)0662
CAnnotations (T44495, T148734, T149667, T149660)4648
DPage Forms + Cargo (T149612)25317
EMulti-content Revisions (T149534, T149532)21122

The following sessions are moved to Unconference: T114454: [RFC] Visual Templates: Authoring templates with Visual Editor, T149056: Supporting Vertical Writing Mode in MediaWiki, T148828: What should we do for ProofreadPage content models.

Qgil added a comment.Nov 30 2016, 10:01 AM

Thank you for all this work organizing your main topic, @cscott! Probably the next step is to know whether the promoters of the proposals affected agree with the merges affecting them.

Aklapper closed this task as Resolved.Jun 1 2017, 3:48 PM

Facilitation happened. Hence closing as resolved.
(I assume all open subtasks should also get closed.)